package com.nisum;

import com.github.javafaker.Faker;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.util.concurrent.TimeUnit;

@SpringBootApplication
public class DevopsLogger implements CommandLineRunner {
        private static Logger LOG = LoggerFactory.getLogger(DevopsLogger.class);

    public static void main(String[] args) {
        LOG.info("STARTING THE APPLICATION");
        SpringApplication.run(DevopsLogger.class, args);
        LOG.info("APPLICATION FINISHED");
    }

    @Override
    public void run(String... args) throws InterruptedException {
        Faker faker = new Faker();
        while(true){
            TimeUnit.MILLISECONDS.sleep(faker.number().numberBetween(300,1000));
            String name = faker.name().fullName();
            String address = faker.address().fullAddress();
            String title = faker.book().title();
            int score = faker.number().numberBetween(1,10);
            String food = faker.beer().hop();
            LOG.info("[" +name + "][" + address + "][" + title+"][" +score+"][" +food+"]");
        }
    }
}
